|  | Home | Documentation | uddi2__relatedBusinessInfo Class Reference updated Mon Feb 22 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
uddi2__relatedBusinessInfo Class Reference

Schema urn:uddi-org:api_v2:"relatedBusinessInfo". More...

`#include <uddi_v2.h>`

## Public Attributes
uddi2__businessKey | businessKey
| Element reference "urn:uddi-org:api_v2":businessKey. More...
std::vector< uddi2__name * > | name
| Vector of uddi2__name* with length 0..unbounded. More...
std::vector< uddi2__description * > | description
| Vector of uddi2__description* with length 0..unbounded. More...
std::vector< uddi2__sharedRelationships * > | sharedRelationships:2
| Vector of uddi2__sharedRelationships* with length 0..2. More...
struct soap * | soap
| A handle to the soap struct context that manages this class instance. More...

## Detailed Description

Schema urn:uddi-org:api_v2:"relatedBusinessInfo".

## Member Data Documentation

uddi2__businessKey uddi2__relatedBusinessInfo::businessKey

Element reference "urn:uddi-org:api_v2":businessKey.

Required element

std::vector<uddi2__description* > uddi2__relatedBusinessInfo::description

Vector of uddi2__description* with length 0..unbounded.

std::vector<uddi2__name* > uddi2__relatedBusinessInfo::name

Vector of uddi2__name* with length 0..unbounded.

std::vector<uddi2__sharedRelationships*> uddi2__relatedBusinessInfo::sharedRelationships

Vector of uddi2__sharedRelationships* with length 0..2.

struct soap* uddi2__relatedBusinessInfo::soap

A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- uddi_v2.h